public class MultiplicationTable {
  /** Metoda main */
  public static void main(String[] args) {
    // Wyświetlanie nagłówka tabeli
    System.out.println("           Tabliczka mnożenia");

    // Wyświetlanie liczb
    System.out.print("    ");
    for (int j = 1; j <= 9; j++)
      System.out.print("   " + j);

    System.out.println("\n-----------------------------------------");

    // Wyświetlanie zawartości tabeli
    for (int i = 1; i <= 9; i++) {
      System.out.print(i + " | ");
      for (int j = 1; j <= 9; j++) {
        // Wyświetlanie iloczynu i odpowiednie wyrównanie liczb
        System.out.printf("%4d", i * j);
      }
      System.out.println();
    }
  }
}
